Xena OpenAutomation (XOA)
Open, flexible Python-based automation framework for end-to-end Ethernet test control
Xena OpenAutomation (XOA) is an open-source automation framework designed to control and manage all Xena Ethernet test solutions. It provides a fast, flexible, and OS-independent Python-based API that enables users to automate testing workflows across a wide range of network validation scenarios.
XOA allows seamless integration into existing test environments and supports full automation of Ethernet traffic generation, analysis, and impairment testing. It can be used either to extend current automation setups or to build complete end-to-end testing systems using Xena tools.
- Open-source framework for Ethernet test automation
- Works across all Xena Ethernet test platforms
- Python-based API for cross-platform compatibility
- Flexible integration with existing automation systems
- Supports full test suite execution and traffic control
- Enables centralised or distributed test automation
- Seamless interaction with CLI, GUI, and APIs
- Scalable for lab, enterprise, and hyperscale environments
- XOA CLI for text-based control and integration with test systems
- XOA Python API with object-oriented automation support
- IDE auto-complete and built-in API documentation\
- Command grouping and automated response handling
- Server-to-client push notifications for efficient control
- Supports Python 3.8+ environments
- Multi-user concurrent scripting support on Xena chassis
- Integration with XenaManager configuration files (.xpc)
- Pre-built automation support for RFC2544, RFC2889, RFC3918
- Desktop test suite support for performance and validation testing
- Includes tools for Auto-Negotiation and Link Training (AN/LT) testing
- Converter tool for migrating legacy Xena test configurations
- Open-source code available via GitHub for community contribution
- Framework Type: Open-source test automation platform
- Interface Options: CLI, Python API, desktop applications
- Supported Automation: RFC2544, RFC2889, RFC3918, Y.1564
- Language Support: Python 3.8+
- Deployment: Local, distributed, and multi-user environments
- Compatibility: All Xena Ethernet test and impairment solutions
- Source Access: GitHub repository (CLI, API, test suites, utilities)
Advanced Test, Measurement & Network Assurance Solutions